%define name docbook-dtd30-sgml
%define version 1.0 
%define release 1mdk          
%define dtdver 3.0
%define mltyp sgml
%define sgmlbase %{_datadir}/sgml

Name        	: %{name}
Version     	: %{version}
Release     	: %{release}
Group       	: Publishing

Summary     	: SGML document type definition for DocBook %{dtdver}.

License   	: Distributable
URL         	: http://www.oasis-open.org/docbook/

Provides        : docbook-dtd-sgml
Prereq		: sgml-common >= 0.6.3-2mdk

BuildRoot   	: %{_tmppath}/%{name}-buildroot

Prefix          : %{_prefix}          
# Zip file downloadable at http://www.oasis-open.org/docbook/sgml/%{dtdver}/
Source0		: docbk30.tar.bz2 
Patch0          : %{name}-%{version}.catalog.patch.bz2
BuildArch	: noarch  


%description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages).
This syntax is SGML-compliant and is developed by the OASIS consortium.
This is the version %{dtdver} of this DTD.


%prep
%setup
%patch -p1 

%build


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT%{sgmlbase}/docbook/sgml-dtd-%{dtdver}
mkdir -p $DESTDIR
install *.dcl $DESTDIR
install docbook.cat $DESTDIR/catalog
install *.dtd $DESTDIR
install *.mod $DESTDIR


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (0644,root,root,0755)
%doc *.txt
%{sgmlbase}/docbook/sgml-dtd-%{dtdver}


%post
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
	/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
/usr/bin/xmlcatalog --sgml --noout --add \
	/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
	/usr/share/sgml/docbook/%{mltyp}-dtd-%{dtdver}/catalog

# The following lines are for the case in which the style sheets
# were installed after another DTD but before this DTD
if [ -e /usr/share/sgml/docbook/dsssl-stylesheets/catalog ]; then
	/usr/bin/xmlcatalog --sgml --noout --add \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/openjade/catalog
	/usr/bin/xmlcatalog --sgml --noout --add \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/dsssl-stylesheets/catalog
fi


%postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/sgml-iso-entities-8879.1986/catalog
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/%{mltyp}-dtd-%{dtdver}/catalog
fi

# The following lines are for the case in which the style sheets
# were not uninstalled because there is still another DTD
if [ -e /usr/share/sgml/docbook/dsssl-stylesheets/catalog ]; then
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/openjade/catalog
	/usr/bin/xmlcatalog --sgml --noout --del \
		/etc/sgml/%{mltyp}-docbook-%{dtdver}.cat \
		/usr/share/sgml/docbook/dsssl-stylesheets/catalog
fi

 
%changelog
* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- First Mandrake version, done by Abel Cheung <maddog@linux.org.hk>

